<?php
include("../include/session.php");

$userId = $_SESSION['username'];
date_default_timezone_set('Africa/Gaborone');
$entry_date = date("Y-m-d H:i:s", time());
$message_text = '';

$table_name = $_SESSION['db_prefix']."_store_items";
$items_query = "SELECT item_name, price, purchase_price FROM $table_name WHERE  store_item_id = '".$_SESSION['store_item_id']."' ";
$items_result = mySQL_query($items_query);
$price = mysql_result($items_result, 0, "price");
$purchase_price = mysql_result($items_result, 0, "purchase_price");
$item_name = mysql_result($items_result, 0, "item_name");

if (($price==0) || ($price=='')) {$price = $purchase_price; }


if ($_SESSION['supply_group']=='vehicle') {
$table_name = $_SESSION['db_prefix']."_vehicle_supply";
$veh_supply_query = "SELECT veh_supply_no  FROM $table_name ORDER BY veh_supply_no DESC LIMIT 1  ";
$veh_supply_result = mySQL_query($veh_supply_query);
$veh_supply_num = mysql_num_rows($veh_supply_result);
if ($veh_supply_num!=0) {
$veh_supply_no = mysql_result($veh_supply_result, 0, "veh_supply_no");
}
else {
	$veh_supply_no=0;
}
$veh_supply_no=$veh_supply_no+1;

if ($_SESSION['external']=='no') {

$table_name = $_SESSION['db_prefix']."_vehicle_supply";
$supply_query = "INSERT INTO $table_name (veh_id, veh_supply_no, status, issue_date, issued_by, authorised_by, received_by, clock_reading ) VALUES ('".$_SESSION['supply_to']."', '".$veh_supply_no."', 'S', '".$_SESSION['issue_date']."',  '".$_SESSION['issued_by']."', '".$_SESSION['authorised_by']."', '".$_SESSION['received_by']."', '".$_SESSION['clock_reading']."' ) ";
execsql($supply_query);

$table_name = $_SESSION['db_prefix']."_vehicle_supply";
$supply_id_query = "SELECT veh_supply_no  FROM $table_name ORDER BY veh_supply_no DESC LIMIT 1  ";
$supply_id_result = mySQL_query($supply_id_query);
$veh_supply_no = mysql_result($supply_id_result, 0, "veh_supply_no");

$table_name4 = $_SESSION['db_prefix']."_vehicle_supply_lines";  
$insert_item_query = "INSERT INTO $table_name4 (veh_id, veh_supply_no, status, store_item_id, quantity, price, issue_date ) VALUES ('".$_SESSION['supply_to']."', '".$veh_supply_no."', 'S', '".$_SESSION['store_item_id']."', '".$_SESSION['supply_qty']."', '".$price."', '".$_SESSION['issue_date']."' ) ";
execsql($insert_item_query);
}
}


$table_name = $_SESSION['db_prefix']."_fuel_supply";
$last_query = "SELECT mileage FROM $table_name WHERE vehicle_id = '".$_SESSION['supply_to']."' ORDER BY fuel_id DESC LIMIT 1 ";
$last_result = mySQL_query($last_query);
$last_num = mysql_num_rows($last_result);
if ($last_num>0) { 
$last_supplied= mysql_result($last_result, 0, "mileage");
}
else {
$last_supplied = 0;
}


$table_name = $_SESSION['db_prefix']."_vehicle";
$average_query = "SELECT average_consumption FROM $table_name WHERE vehicle_id = '".$_SESSION['supply_to']."' ";
$average_result = mySQL_query($average_query);
$average = mysql_result($average_result, 0, "average_consumption");

$covered = $_SESSION['clock_reading'] - $last_supplied;
$usage = $covered/$_SESSION['supply_qty'];

$tot_mileage = 0;

$table_name = $_SESSION['db_prefix']."_fuel_supply";
$fuel_query = "INSERT INTO $table_name (supply_date, vehicle_id, fuel, qty_supplied, price, mileage, rec_no, driver, notes, department) VALUES ('".$_SESSION['issue_date']."', '".$_SESSION['supply_to']."', '".$item_name."', '".$_SESSION['supply_qty']."', '".$price."', '".$_SESSION['clock_reading']."', '".$_SESSION['order_book']."', '".$_SESSION['received_by']."', '".$_SESSION['supply_reason']."', '".$_SESSION['company']."' ) ";
execsql($fuel_query);

$tot_mileage = $tot_mileage+$_SESSION['clock_reading'];

$table_name = $_SESSION['db_prefix']."_mileage";
$rec_mileage_query = "INSERT INTO $table_name (vehicle_id, rec_date, rec_mileage, tot_mileage, litres) VALUES ('".$_SESSION['supply_to']."', '".$_SESSION['issue_date']."', '".$_SESSION['clock_reading']."', '".$tot_mileage."', '".$_SESSION['supply_qty']."') ";
execsql($rec_mileage_query);

$table_name = $_SESSION['db_prefix']."_vehicle";
$mileage_query = "UPDATE $table_name SET clock_reading = '".$_SESSION['clock_reading']."' WHERE vehicle_id = '".$_SESSION['supply_to']."' ";
execsql($mileage_query);



$table_name = $_SESSION['db_prefix']."_fuel_supply";
$fuel_id_query = "SELECT fuel_id FROM $table_name ORDER BY fuel_id DESC LIMIT 1  ";
$fuel_id_result = mySQL_query($fuel_id_query);
$fuel_id = mysql_result($fuel_id_result, 0, "fuel_id");

if ($_SESSION['external']=='no') {
   $table_name2 = $_SESSION['db_prefix']."_store_items";
   $stock_total_query = "SELECT item_name, subCategory, quantity, minimumStock FROM $table_name2 WHERE store_item_id = '".$_SESSION['store_item_id']."'";
   $stock_total_result = mySQL_query($stock_total_query);
   $subCategory = mysql_result($stock_total_result ,0, "subCategory");
   $total_quantity = mysql_result($stock_total_result ,0, "quantity");
   $minimumStock = mysql_result($stock_total_result ,0, "minimumStock");
   $item_name = mysql_result($stock_total_result, 0, "item_name");
	
   $total_quantity = $total_quantity - $_SESSION['supply_qty'];
      
   $stockQuery = "UPDATE $table_name2 SET quantity = '".$total_quantity."' , lastModDate = '".$_SESSION['issue_date']."' WHERE store_item_id = '".$_SESSION['store_item_id']."'";
   	$stockResult = mySQL_query($stockQuery);
	$group_name=$subCategory;
	
	
	if ($total_quantity<=$minimumStock) {
	   	$store_item_id = $_SESSION['store_item_id'];	
		include('../include/min_stock_alert.php');
		$message_text = '<tr><td>'.$item_name.'</td><td>'.$group_name.'</td><td align=center>'.$total_quantity.'</td><td align=center>'.$minimumStock.'</td></tr>';
	}
	
	if ($_SESSION['supply_group']=='vehicle') {
			$table_name = $_SESSION['db_prefix']."_vehicle";
			$comp_query = "SELECT  department    FROM $table_name WHERE vehicle_id = '".$_SESSION['supply_to']."' ";
			$comp_result = mySQL_query($comp_query);
			$company = mysql_result($comp_result, 0, "department");
	}
	

	
	if ($_SESSION['supply_group']=='vehicle') { $supply_no = $veh_supply_no ; }
	
	
	
			
	$table_name = $_SESSION['db_prefix']."_internal_supply";
	$internal_supply_query = "INSERT INTO $table_name (supply_date, supply_no, store_item_id, store_item_name, quantity, price, supply_group, issued_to, received_by, company, supply_reason, clock_reading) VALUES ('".$_SESSION['issue_date']."', '".$supply_no."', '".$_SESSION['store_item_id']."', '".$item_name."', '".$_SESSION['supply_qty']."', '".$price."', '".$_SESSION['supply_group']."', '".$_SESSION['supply_to']."', '".$_SESSION['received_by']."', '".$company."', '".$_SESSION['supply_reason']."', '".$_SESSION['clock_reading']."' ) ";
	execsql($internal_supply_query);
	
	
	


}
	
if ($message_text!='') {
	   include('../include/min_stock_alert_email.php');
	}	


if (isset($_GET['new_button']) )
	   {
		$action='supply_internalWiz0.php';
	   }
		 
if (isset($_GET['finish_button']) )
	  {
		$action='fuel_rec_display.php?fuel_id='.$fuel_id; 	
	  }
	
     $today = date("Y-m-d");
	 $_SESSION['stores_group'] = '';
	 $_SESSION['supply_group'] = '';
	 $_SESSION['emp_id'] = '';
	 $_SESSION['emp_name'] = '';
	 $_SESSION['vehicle_id'] = '';
	 $_SESSION['vehicle_name'] = '';
	 $_SESSION['clock_reading'] = '';
	 $_SESSION['last_reading'] = '';
	 $_SESSION['clock'] = '';
	 $_SESSION['company'] = '';
	 $_SESSION['external'] = '';
	 $_SESSION['order_book'] = '';
	 $_SESSION['machine_id'] = '';
	 $_SESSION['machine_name'] = '';
	 $_SESSION['store_item_id'] = '';
	 $_SESSION['store_item_name'] = '';	
	 $_SESSION['available'] = '';
	 $_SESSION['supply_to'] = '';	
	 $_SESSION['supply_qty'] = ''; '';
	 $_SESSION['supply_reason'] = '';
	 $_SESSION['available_stock'] = '';
	 $_SESSION['department'] = '';
	 $_SESSION['received_by'] = '';
	 $_SESSION['del_note'] = '';	
     $_SESSION['issue_date']  = date("Y-m-d");
	 $_SESSION['authorised_by' ]= '';
	 $_SESSION['issued_by'] = '';
	 $_SESSION['store_item_id'] = '';
	 $_SESSION['store_item_name'] = '';
	 $_SESSION['pl'] = '0';
	
?>

<script language="javascript" type="text/javascript">
        
	  window.location="<?php echo $action?>";
        
       </script>

